M_ActivityCannonDrawCFG = {}

function M_ActivityCannonDrawCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityCannonDrawCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, RewardItem = 214, RewardCount = 100, Sign = 1, Weight = 0}
	self.datas[2] = {ID = 2, RewardItem = 214, RewardCount = 2, Sign = 0, Weight = 40}
	self.datas[3] = {ID = 3, RewardItem = 214, RewardCount = 5, Sign = 0, Weight = 4}
	self.datas[4] = {ID = 4, RewardItem = 214, RewardCount = 8, Sign = 0, Weight = 3}
	self.datas[5] = {ID = 5, RewardItem = 1, RewardCount = 50000, Sign = 0, Weight = 365}
	self.datas[6] = {ID = 6, RewardItem = 214, RewardCount = 4, Sign = 0, Weight = 5}
	self.datas[7] = {ID = 7, RewardItem = 214, RewardCount = 15, Sign = 1, Weight = 1}
	self.datas[8] = {ID = 8, RewardItem = 214, RewardCount = 3, Sign = 0, Weight = 10}
	self.datas[9] = {ID = 9, RewardItem = 1, RewardCount = 100000, Sign = 0, Weight = 130}
	self.datas[10] = {ID = 10, RewardItem = 534, RewardCount = 1, Sign = 0, Weight = 70}
	self.datas[11] = {ID = 11, RewardItem = 214, RewardCount = 10, Sign = 0, Weight = 2}
	self.datas[12] = {ID = 12, RewardItem = 214, RewardCount = 1, Sign = 0, Weight = 370}
end

M_ActivityCannonDrawCFG:init()
